NX Open C++ Reference Guide
|
Represents a gap arc segment. More...
Public Member Functions | |
virtual NXOpen::Routing::ConvertEccentricLinearToLinear | ConvertEccentricLinearToLinear () |
Is line segment eccentric converted to line segment? | |
virtual NXOpen::Routing::ConvertLinearToEccentricLinear | ConvertLinearToEccentricLinear () |
Is line segment converted to eccentric line segment? | |
virtual void | DeleteCharacterstics (NXOpen::Routing::CharacteristicList *values) |
Removes the input list of characteristics from this object. | |
virtual NXOpen::Curve * | FollowCurve () |
Returns the segment follow curve. | |
virtual std::vector < NXOpen::Routing::Electrical::CableDevice * > | GetCableDevices () |
Returns Routing::Electrical::CableDevice objects from Routing::ISegment . | |
virtual std::vector < NXOpen::Routing::Electrical::CablewaysLayoutView * > | GetCablewaysLayoutViews () |
Returns Routing::Electrical::CablewaysLayoutView objects from the Routing::ISegment . | |
virtual NXOpen::Routing::CharacteristicList * | GetCharacteristics () |
Get all of the characteristics values on the this object. | |
virtual NXOpen::Routing::CharacteristicList * | GetDestinationCharacteristics () |
Returns the destination characteristics from the input object. | |
virtual void | GetEndPoints (NXOpen::Point3d *startPoint, NXOpen::Point3d *endPoint) |
Get the current location of the segment ends in ABS coordinates. | |
virtual void | GetEndRcps (NXOpen::Routing::ControlPoint **startRcp, NXOpen::Routing::ControlPoint **endRcp) |
Return of segment end control points. | |
virtual int | GetIntegerCharacteristic (const NXString &name) |
Get the value of an integer characteristic associated with the input name. | |
int | GetIntegerCharacteristic (const char *name) |
Get the value of an integer characteristic associated with the input name. | |
virtual NXOpen::Routing::Eccentric | GetIsEccentricSegment () |
Is given segment a eccentric segment? | |
virtual NXOpen::Routing::Interior | GetIsSegmentInterior () |
Query if a segment is interior to any part. | |
virtual NXOpen::Routing::Terminal | GetIsTerminalSegment () |
Is given segment a terminal segment? | |
virtual double | GetRealCharacteristic (const NXString &name) |
Get the value of a real characteristic associated with the input name. | |
double | GetRealCharacteristic (const char *name) |
Get the value of a real characteristic associated with the input name. | |
virtual std::vector < NXOpen::Routing::Stock * > | GetSegmentAllStocks () |
Returns Routing::Stock as well as Routing::Overstock objects from the Routing::ISegment . | |
virtual std::vector < NXOpen::Routing::Stock * > | GetSegmentStock () |
Returns all stocks that directly reference this segment as part of the path defining the stock. | |
virtual NXString | GetStringCharacteristic (const NXString &name) |
Get the value of a string characteristic associated with the input name. | |
NXString | GetStringCharacteristic (const char *name) |
Get the value of a string characteristic associated with the input name. | |
bool | IsArcOpensDown () |
Returns the arc orientation. | |
void | SetArcOpensDown (bool arcOpensDown) |
Sets the arc orientation. | |
virtual void | SetCharacteristic (const NXString &name, int value) |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, int value) |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristic (const NXString &name, double value) |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, double value) |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristic (const NXString &name, const NXString &value) |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, const char *value) |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristics (NXOpen::Routing::CharacteristicList *values) |
Set all of the characteristics values on this object. | |
virtual void | SetEndPoints (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint) |
Set the current location of the segment ends in ABS coordinates. | |
virtual void | SetEndRcps (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp) |
Created in NX4.0.0. | |
virtual void | SetIsTerminalSegment (NXOpen::Routing::Terminal isTerminal) |
Set given segment to be a terminal segment? Created in NX4.0.0. | |
virtual void | SetSegmentInteriorPart (NXOpen::Assemblies::Component *interiorPart) |
Set a segment to be interior to supplied part Created in NX4.0.0. | |
![]() | |
double | EndAngle () |
Returns the angle of the arc. | |
double | Radius () |
Returns the radius of the arc. | |
void | SetParameters (double radius, const NXOpen::Point3d ¢er, double startAngle, double endAngle, NXOpen::NXMatrix *matrix) |
Sets the center, radius, start and end angles, and orientation matrix of the arc. | |
void | SetParameters (double radius, const NXOpen::Point3d ¢er, double startAngle, double endAngle) |
Sets the center, radius, and start and end angles of the arc. | |
void | SetRadius (double radius) |
Sets the radius of the arc. | |
double | StartAngle () |
Returns the start angle of the arc. | |
![]() | |
NXOpen::Point3d | CenterPoint () |
Returns the center. | |
void | GetOrientation (NXOpen::Point3d *center, NXOpen::Vector3d *xDirection, NXOpen::Vector3d *yDirection) |
Gets the orientation of the conic. | |
NXOpen::NXMatrix * | Matrix () |
Returns the orientation matrix. | |
double | RotationAngle () |
Returns the rotation angle. | |
void | SetOrientation (const NXOpen::Point3d ¢er, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection) |
Sets the center of the conic. | |
![]() | |
virtual double | GetLength () |
Returns the length of the object. | |
virtual bool | IsReference () |
Returns the reference state of a curve Created in NX8.0.0. | |
![]() | |
void | Evaluate () |
Evaluate a smart object. | |
void | RemoveParameters () |
Removes the smart object parameters. | |
void | ReplaceParameters (NXOpen::SmartObject *otherSo) |
Edit a smart object by replacing its parameters using parameters of other smart object of the same class. | |
void | SetVisibility (NXOpen::SmartObject::VisibilityOption visibility) |
Sets the visibility. | |
NXOpen::SmartObject::UpdateOption | Update () |
Returns the update option. | |
NXOpen::SmartObject::VisibilityOption | Visibility () |
Returns the visibility. | |
![]() | |
void | Blank () |
Blanks the object. | |
int | Color () |
Returns the color of the object. | |
void | Highlight () |
Highlights the object. | |
bool | IsBlanked () |
Returns the blank status of this object. | |
int | Layer () |
Returns the layer that the object is in. | |
NXOpen::DisplayableObject::ObjectFont | LineFont () |
Returns the line font of the object. | |
NXOpen::DisplayableObject::ObjectWidth | LineWidth () |
Returns the line width of the object. | |
NXOpen::Point3d | NameLocation () |
Returns the location of the object's name. | |
void | RedisplayObject () |
Redisplays the object in all views. | |
void | SetColor (int color) |
Sets the color of the object. | |
void | SetLayer (int layer) |
Sets the layer that the object is in. | |
void | SetLineFont (NXOpen::DisplayableObject::ObjectFont font) |
Sets the line font of the object. | |
void | SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width) |
Sets the line width of the object. | |
void | SetNameLocation (const NXOpen::Point3d &location) |
Sets the location of the object's name. | |
void | Unblank () |
Unblanks the object. | |
void | Unhighlight () |
Unhighlights the object. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Additional Inherited Members | |
![]() | |
enum | UpdateOption { UpdateOptionDontUpdate, UpdateOptionWithinModeling, UpdateOptionAfterModeling, UpdateOptionAfterParentBody, UpdateOptionMixed } |
Specifies when the smart object updates. More... | |
enum | VisibilityOption { VisibilityOptionInvisible, VisibilityOptionVisible, VisibilityOptionVisibleIfParentInvisible } |
Specifies the smart object visibility. More... | |
Represents a gap arc segment.
To obtain an instance of this class use Routing::SegmentManager
Created in NX8.5.0.
|
virtual |
Is line segment eccentric converted to line segment?
Implements NXOpen::Routing::ISegment.
|
virtual |
Is line segment converted to eccentric line segment?
Implements NXOpen::Routing::ISegment.
|
virtual |
Removes the input list of characteristics from this object.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
values | values |
Implements NXOpen::Routing::ICharacteristic.
|
virtual |
Returns the segment follow curve.
NULL object indicates segment has no follow curve
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Implements NXOpen::Routing::ISegment.
|
virtual |
Returns Routing::Electrical::CableDevice objects from Routing::ISegment .
Implements NXOpen::Routing::ISegment.
|
virtual |
Returns Routing::Electrical::CablewaysLayoutView objects from the Routing::ISegment .
Implements NXOpen::Routing::ISegment.
|
virtual |
Get all of the characteristics values on the this object.
Implements NXOpen::Routing::ICharacteristic.
|
virtual |
Returns the destination characteristics from the input object.
Retrieves the description of which destination characteristics to read from the application view and then reads those destination characteristics from the object <ul> <li>Ports: Reads characteristics from the port.</li> <li>RCPs: Attempts to find a port at the RCP, reads characteristics from the port if it exists, otherwise reads from the stock associated with the rcp.</li> <li>Segments: Reads characteristics from the stock associated with the segment.</li> <li>Components: Reads characteristics directly from the component.</li> <li>Stock: Reads characteristics from the stock or from the stock's data.</li> </ul> @return
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
Implements NXOpen::Routing::ICharacteristic.
|
virtual |
Get the current location of the segment ends in ABS coordinates.
This value is overridden by the coordinates of the end RCPs associated with this segment.
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startPoint | Location of end 0 in ABS coordinates |
endPoint | Location of end 1 in ABS coordinates |
Implements NXOpen::Routing::ISegment.
|
virtual |
Return of segment end control points.
The @link Routing::ControlPoint Routing::ControlPoint@endlink defines an end of a segment
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startRcp | RCP defining start of segment |
endRcp | RCP defining end of segment |
Implements NXOpen::Routing::ISegment.
|
virtual |
Get the value of an integer characteristic associated with the input name.
name | NOTE: The full Unicode character set is not supported for this parameter. |
Implements NXOpen::Routing::ICharacteristic.
int NXOpen::Routing::GapArcSegment::GetIntegerCharacteristic | ( | const char * | name | ) |
Get the value of an integer characteristic associated with the input name.
name | NOTE: The full Unicode character set is not supported for this parameter. |
|
virtual |
Is given segment a eccentric segment?
Implements NXOpen::Routing::ISegment.
|
virtual |
Query if a segment is interior to any part.
Implements NXOpen::Routing::ISegment.
|
virtual |
Is given segment a terminal segment?
Implements NXOpen::Routing::ISegment.
|
virtual |
Get the value of a real characteristic associated with the input name.
name | NOTE: The full Unicode character set is not supported for this parameter. |
Implements NXOpen::Routing::ICharacteristic.
double NXOpen::Routing::GapArcSegment::GetRealCharacteristic | ( | const char * | name | ) |
Get the value of a real characteristic associated with the input name.
name | NOTE: The full Unicode character set is not supported for this parameter. |
|
virtual |
Returns Routing::Stock as well as Routing::Overstock objects from the Routing::ISegment .
Implements NXOpen::Routing::ISegment.
|
virtual |
Returns all stocks that directly reference this segment as part of the path defining the stock.
Implements NXOpen::Routing::ISegment.
|
virtual |
Get the value of a string characteristic associated with the input name.
name | NOTE: The full Unicode character set is not supported for this parameter. |
Implements NXOpen::Routing::ICharacteristic.
NXString NXOpen::Routing::GapArcSegment::GetStringCharacteristic | ( | const char * | name | ) |
Get the value of a string characteristic associated with the input name.
name | NOTE: The full Unicode character set is not supported for this parameter. |
bool NXOpen::Routing::GapArcSegment::IsArcOpensDown | ( | ) |
Returns the arc orientation.
If true, arc opens downwards false, arc opens upwards
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::GapArcSegment::SetArcOpensDown | ( | bool | arcOpensDown | ) |
Sets the arc orientation.
If true, arc opens downwards false, arc opens upwards
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
arcOpensDown | arcopensdown |
|
virtual |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.
Converts the type of an existing characteristic with the same name to integer if it's type is not integer.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
name | NOTE: The full Unicode character set is not supported for this parameter. |
value | value |
Implements NXOpen::Routing::ICharacteristic.
void NXOpen::Routing::GapArcSegment::SetCharacteristic | ( | const char * | name, |
int | value | ||
) |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.
Converts the type of an existing characteristic with the same name to integer if it's type is not integer.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
name | NOTE: The full Unicode character set is not supported for this parameter. |
value | value |
|
virtual |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.
Converts the type of an existing characteristic with the same name to real if it's type is not real.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
name | NOTE: The full Unicode character set is not supported for this parameter. |
value | value |
Implements NXOpen::Routing::ICharacteristic.
void NXOpen::Routing::GapArcSegment::SetCharacteristic | ( | const char * | name, |
double | value | ||
) |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.
Converts the type of an existing characteristic with the same name to real if it's type is not real.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
name | NOTE: The full Unicode character set is not supported for this parameter. |
value | value |
|
virtual |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.
Converts the type of an existing characteristic with the same name to string if it's type is not string.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
name | NOTE: The full Unicode character set is not supported for this parameter. |
value | NOTE: The full Unicode character set is not supported for this parameter. |
Implements NXOpen::Routing::ICharacteristic.
void NXOpen::Routing::GapArcSegment::SetCharacteristic | ( | const char * | name, |
const char * | value | ||
) |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.
Converts the type of an existing characteristic with the same name to string if it's type is not string.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
name | NOTE: The full Unicode character set is not supported for this parameter. |
value | NOTE: The full Unicode character set is not supported for this parameter. |
|
virtual |
Set all of the characteristics values on this object.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
values | values |
Implements NXOpen::Routing::ICharacteristic.
|
virtual |
Set the current location of the segment ends in ABS coordinates.
This value is overridden by the coordinates of the end RCPs associated with this segment.
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startPoint | New location of end 0 in ABS coordinates |
endPoint | New location of end 1 in ABS coordinates |
Implements NXOpen::Routing::ISegment.
|
virtual |
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
startRcp | RCP defining start of segment |
endRcp | RCP defining end of segment |
Implements NXOpen::Routing::ISegment.
|
virtual |
Set given segment to be a terminal segment?
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
isTerminal | Set as terminal segment? |
Implements NXOpen::Routing::ISegment.
|
virtual |
Set a segment to be interior to supplied part
Created in NX4.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
interiorPart | Part segment interior? |
Implements NXOpen::Routing::ISegment.